{
  inputs = {
    # System
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    nixos-hardware = {
      url = "github:NixOS/nixos-hardware/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    # Mmmh, secure boot
    lanzaboote = {
      url = "github:nix-community/lanzaboote";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        pre-commit = {
          url = "github:cachix/pre-commit-hooks.nix";
          inputs = {
            flake-compat.follows = "flake-compat";
            gitignore.follows = "gitignore";
          };
        };
      };
    };
    # Custom Kernel
    nix-cachyos-kernel = {
      url = "github:xddxdd/nix-cachyos-kernel/release";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        flake-parts.follows = "flake-parts";
        flake-compat.follows = "flake-compat";
      };
    };

    # Sops-nix
    sops-nix = {
      url = "github:Mic92/sops-nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    nix-darwin = {
      url = "github:nix-darwin/nix-darwin/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    #============
    #=== Rice ===
    #============
    #awww = {
    #  url = "git+https://codeberg.org/LGFae/awww";
    #  inputs.nixpkgs.follows = "nixpkgs";
    #};

    stylix = {
      url  = "github:nix-community/stylix";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        flake-parts.follows = "flake-parts";
        systems.follows = "systems";
      };
    };
    # Spicetify
    spicetify-nix = {
      url = "github:Gerg-L/spicetify-nix";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        systems.follows = "systems";
      };
    };

    nixvim =  {
      url = "github:nix-community/nixvim";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        flake-parts.follows = "flake-parts";
        systems.follows = "systems";
      };
    };
    # Best browser btw
    zen-browser = {
      url = "github:youwen5/zen-browser-flake";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    # Star citizen
    nix-citizen = {
      url = "github:Alexandre1a/nix-citizen";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        flake-parts.follows = "flake-parts";
        nix-gaming = {
          url = "github:fufexan/nix-gaming";
          inputs = {
            flake-parts.follows = "flake-parts";
            git-hooks = {
              inputs = {
                flake-compat.follows = "flake-compat";
                gitignore.follows = "gitignore";
              };
            };
          };
        };
        systems.follows = "systems";
      };
    };

    # Utils
    flake-parts = {
      url = "github:hercules-ci/flake-parts";
    };

    import-tree.url = "github:vic/import-tree";

    wrapper-modules = {
      url = "github:BirdeeHub/nix-wrapper-modules";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    # System closure reduction
    flake-compat = {
      url = "github:edolstra/flake-compat";
    };
    systems = {
      url = "github:nix-systems/default";
    };
    gitignore = {
      url = "github:hercules-ci/gitignore.nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  # Import `modules/` automatically
  outputs = inputs: inputs.flake-parts.lib.mkFlake
    {inherit inputs;}
    (inputs.import-tree ./modules_dentritic);
}
